## dbmail-3.2.3.tar.gz

=== jenkins/Makefile ===

default: buildout

buildout: bin/buildout
	bin/buildout

bin/buildout: bin/python2.7
	bin/pip install zc.buildout

bin/python2.7:
	virtualenv --python=python2.7 --clear .

test: buildout test-postgresql test-mysql

test-postgresql:
	sed -i -e 's,^dburi.*,dburi = postgresql://127.0.0.1:5432/dbmail?user=dbmail\&password=dbmail,' ./etc/dbmail.conf
	$(MAKE) run-test

test-mysql:
	sed -i -e 's,^dburi.*,dburi = mysql://127.0.0.1:3306/dbmail?user=dbmail\&password=dbmail\&charset=utf8,' ./etc/dbmail.conf
	$(MAKE) run-test

run-test:
	bin/supervisorctl shutdown || true
	sleep 3
	bin/supervisord && sleep 3 
	(cd ../ && CK_FORK=no make check)
	sbin/dbmail-users -c testuser1 -w test -p plaintext || true
	sbin/dbmail-users -a testuser2 -w test -p plaintext || true
	sbin/dbmail-users -a testuser3 -w test -p sha256 || true
	sbin/dbmail-users -y -e testuser1 || true
	bin/py ../contrib/mailbox2dbmail/mailbox2dbmail -u testuser1 -m ../test-scripts/testbox -t mbox -p sbin/dbmail-deliver
	timeout 300 imaptest user=testuser1 pass=test port=10143 test=../test-scripts/imap
	timeout 300 bin/py ../test-scripts/testimap.py -v
	bin/py ../contrib/mailbox2dbmail/mailbox2dbmail -u testuser1 -m ../test-scripts/testbox -t mbox -p sbin/dbmail-deliver
	timeout 300 bin/py ../test-scripts/testpop.py -v
	timeout 300 bin/py ../test-scripts/python/compare.py
	#timeout 300 bin/py ../test-scripts/python/loadlmtp.py
	#timeout 300 bin/py ../test-scripts/python/loadimap.py
	#timeout 300 bin/py ../test-scripts/python/loadpop.py
	/usr/bin/phpunit ../contrib/testdbmailclient.php
	bin/supervisorctl shutdown || true



.PHONY: test run-test

=== debian/changelog ===
dbmail (3.0.2-1) oneiric; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Sun, 11 Mar 2012 09:01:44 +0100

dbmail (3.0.1-1) unstable; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Wed, 22 Feb 2012 13:51:01 +0100

dbmail (2.3.6-1) experimental; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Sun, 28 Jun 2009 15:47:33 +0200

dbmail (2.3.5-1) experimental; urgency=low

  * upstream release

 -- Paul Stevens <paul@nfg.nl>  Tue, 06 Jan 2009 12:51:28 +0100

dbmail (2.3.2-1) experimental; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Mon,  4 Feb 2008 15:37:28 +0100

dbmail (2.2.8-1) unstable; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Wed, 12 Dec 2007 14:11:56 +0100

dbmail (2.2.7-1) unstable; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Sat, 27 Oct 2007 10:39:37 +0200

dbmail (2.2.6-2) unstable; urgency=low

  * fix a critical regression in 2.2.6-1

 -- Paul J Stevens <paul@nfg.nl>  Tue, 18 Sep 2007 11:24:04 +0200

dbmail (2.2.6-1) unstable; urgency=low

  * new upstream release (Closes: #421018)
  * update postinst and postrm (Closes: #427895, #427896)

 -- Paul J Stevens <paul@nfg.nl>  Sat, 15 Sep 2007 10:42:41 +0200

dbmail (2.2.5-1) unstable; urgency=low

  * new upstream release (Closes: #412741, #415958, #423832)
  * update postinst (Closes: #418582)

 -- Paul J Stevens <paul@nfg.nl>  Tue, 15 May 2007 13:47:50 +0200

dbmail (2.2.4-1) unstable; urgency=low

  * 2.2.4 release

 -- Paul J Stevens <paul@nfg.nl>  Sun, 11 Mar 2007 21:54:37 +0100

dbmail (2.2.3-1) unstable; urgency=low

  [ Paul J Stevens ]  
  * remove configure code from postinst, leaving the driver alone.
  * new upstream release.

  [ Christian Perrier   ]
  * Rewrite debconf templates for style consistency. Closes: #412276
  * Debconf translations:
    - French
    - Czech. Closes: #412290
    - Galician. Closes: #412336
    - Tamil. Closes: #412442, #412439
    - Russian. Closes: #412539
    - Malayalam. Closes: #412849
    - Spanish
    - Italian
    - Dutch
    - Portuguese. Closes: #412942

 -- Christian Perrier <bubulle@debian.org>  Thu,  1 Mar 2007 07:15:49 +0100

dbmail (2.2.1-1) unstable; urgency=low

  * new upstream release (closes: #351341)
  * Provide a common package (closes: #236406).
  * Fixes sql insertion vulnerabilities (closes: #290833, #303991).
  * Stop services in prerm (closes: #256236).
  * Find postgresql headers during build (closes: #315404).
  * Don't rely on ucf when purging (closes: #334438).
  * Fix problem in stunnel startup (closes: #288956).
  * Correctly install init scripts (Closes: #235026)
  * Fixes build failures (Closes: #284770, #376381).
  * Add debconf-2.0 alternate (Closes: #331793).
  * Update MySQL dependency (Closes: #358832).
  * Add debconf translations (Closes: #310183, #308204, #310182, #336044).
  * Make init script lsb compliant.
  * Build-depends on automake1.9 instead of automaken (Closes: #380713).

 -- Paul J Stevens <paul@nfg.nl>  Sat, 18 Nov 2006 17:04:56 +0100

dbmail (1.2.11-1) unstable; urgency=low

  * new upstream release
  * fixed stunnel startup (closes: #255952).
  * added japanese debconf translation (closes: #281153).

 -- Paul J Stevens <paul@nfg.nl>  Tue, 16 Nov 2004 14:27:47 +0100

dbmail (1.2.10-1) unstable; urgency=low

  * new upstream release. Minor compatibility fix for mysql-4.1 

 -- Paul J Stevens <paul@nfg.nl>  Wed, 22 Sep 2004 12:32:59 +0200

dbmail (1.2.9-1) unstable; urgency=low

  * new upstream release. Fixes long-standing Return-Path problem.

 -- Paul J Stevens <paul@nfg.nl>  Tue,  3 Aug 2004 14:03:15 +0200

dbmail (1.2.8b-2) unstable; urgency=low

  * minor fix in exim4 documentation.
  * force stunnel to store pids in /var/run/
  * updated dutch po-debconf translation (closes: #253454).

 -- Paul J Stevens <paul@nfg.nl>  Mon,  2 Aug 2004 10:44:49 +0200

dbmail (1.2.8b-1.1) unstable; urgency=low

  * NMU during BSP.
  * prerm script added (closes: 256236).

 -- Sebastian Muszynski <do2ksm@linkt.de>  Sun, 18 Jul 2004 14:49:33 +0200

dbmail (1.2.8b-1) unstable; urgency=medium

  * new upstream release. Fixes pop3 crash.

 -- Paul J Stevens <paul@nfg.nl>  Wed, 16 Jun 2004 19:35:11 +0200

dbmail (1.2.8a-1) unstable; urgency=high

  * new upstream release. Buffer-overflow fix.

 -- Paul J Stevens <paul@nfg.nl>  Wed,  9 Jun 2004 09:00:51 +0200

dbmail (1.2.8-1) unstable; urgency=low

  * new upstream release.
  * added german translation of debconf stuff (closes: #252163).

 -- Paul J Stevens <paul@nfg.nl>  Sun,  6 Jun 2004 13:40:06 +0200

dbmail (1.2.7b-1) unstable; urgency=low

  * new upstream release. Bugfix release.

 -- Paul J Stevens <paul@nfg.nl>  Fri,  7 May 2004 11:16:33 +0200

dbmail (1.2.6-1) unstable; urgency=high

  * new upstream release. Fixes DoS vulnerability.

 -- Paul J Stevens <paul@nfg.nl>  Thu, 22 Apr 2004 09:21:10 +0200

dbmail (1.2.5-1) unstable; urgency=low

  * new upstream release. Bugfix release.
  * add build-dep for groff (closes: #237234).
  * fix typo in postrm (closes: #237937).
  
 -- Paul J Stevens <paul@nfg.nl>  Thu, 25 Mar 2004 12:52:06 +0100

dbmail (1.2.4-1) unstable; urgency=low

  * new upstream release. Bugfix release.
  * fixed the botched ucf fix.
  * move man pages to correct section (closes: #235255).
  * included exim4/postfix howto provided by Dan Weber
    <dan@mirrorlynx.com> (closes: #235254).

 -- Paul J Stevens <paul@nfg.nl>  Tue,  9 Mar 2004 09:08:55 +0100

dbmail (1.2.3-2) unstable; urgency=low

  * moved /etc/dbmail/dbmail-debian.conf to /etc/default/dbmail
    fixing a debian policy violation (closes: #231527).
  * depend on ucf 0.30 and fixed postinst accordingly.

 -- Paul J Stevens <paul@nfg.nl>  Wed, 25 Feb 2004 21:55:03 +0100

dbmail (1.2.3-1) unstable; urgency=low

  * new upstream release. Bugfix release.
  * updated the README.Debian.
  * fixed some build dependencies.
  * fixed the Conflicts and Suggests lines.



=== debian/control ===
Source: dbmail
Section: mail
Priority: optional
Maintainer: Paul J Stevens <paul@nfg.nl>
Build-Depends: automake1.9, debhelper (>= 5.0.7), libncurses5-dev, libsieve2-dev (>= 2.1.12), libglib2.0-dev, libgmime-2.6-dev, libldap2-dev, libzdb-dev, libmhash-dev, libevent-dev, pkg-config, libtool, asciidoc, xmlto, po-debconf, libmysqlclient-dev | libmariadbclient-dev, libpq-dev, libsqlite3-dev, libssl-dev
Standards-Version: 3.9.1

Package: dbmail
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, ucf (>= 0.30)
Provides: imap-server, pop3-server
Suggests: sqlite3
Description: email storage server that supports SQL
 DBMail is a collection of programs that allow the use of a relational
 database to store both email messages and user account data. It
 supports Sieve filtering, and the client protocols POP3, IMAP4, LMTP,
 and ManageSieve.
 .
 This package supports LDAP authentication. Database backends are 
 provided by libzdb which supports MySQL, PostgreSQL, SQLite and
 Oracle.
 .

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

DPKG_EXPORT_BUILDFLAGS = 1
ifneq (,$(findstring devel,$(DEB_BUILD_OPTIONS)))
	export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
else
	export DEB_BUILD_MAINT_OPTIONS=hardening=+all
endif

include /usr/share/dpkg/buildflags.mk

export WITH_LDAP=--with-ldap
export WITH_SIEVE=--with-sieve
export SHARED=--enable-shared=yes
export STATIC=--enable-static=no
export MANPAGES=--enable-manpages=yes
export REAL_CLEAN=

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DBMAIL_VERSION	?= $(shell cat VERSION)

ifneq (,$(findstring devel,$(DEB_BUILD_OPTIONS)))
	export WITH_CHECK=--with-check
	export MANPAGES=
	export SHARED=--enable-shared=no
	export STATIC=--enable-static=yes
	export WITH_LDAP=
	CFLAGS += -Wall -g -DDEBUG 
	# avoid valgrind warnings
	CFLAGS += -DEXTRA
endif


CONFFLAGS=--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc/dbmail \
	--localstatedir=/var/run/dbmail --with-logdir=/var/log/dbmail --infodir=\$${prefix}/share/info \
	--with-jemalloc=no \
	$(WITH_CHECK) $(SHARED) $(STATIC) $(MANPAGES) $(WITH_SIEVE) $(WITH_LDAP)

build: stamps/build
stamps/build: stamps dbmail
	touch $@

stamps:
	mkdir stamps
	
configure: stamps/configure
stamps/configure: 
	[ -f configure ] || autoreconf -i
	touch $@

dbmail: stamps/dbmail
stamps/dbmail: configure
	if [ -e /usr/bin/clang ]; then \
		env CC="/usr/bin/clang" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(CONFFLAGS); \
	else \
		env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(CONFFLAGS); \
	fi
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

clean: clean1 $(REAL_CLEAN)
clean1: 
	# run clean
	dh_testroot
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean
	debconf-updatepo
	rm -rf stamps autom4te.cache || true

# maintainer target
mrproper:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f `find . -name ".#*"`
	rm -f `find . -name "*.la"`
	rm -f `find . -name "*.lo"`
	rm -f `find . -name "*.o"`
	rm -f `find . -name "*.pyc"`
	rm -f `find man -name "*.xml"`
	rm -f `find man -name "*.[1-8]"`
	# Add here commands to clean up after the build process.
	for file in config.in aclocal.m4 acconfig.h configure `find . -name Makefile.in`; do \
		rm -rf $$file || true; \
	done
	for file in Makefile config.h config.status libtool stamp-h .deps .libs; do \
		rm -rf `find . -name $$file`; \
	done
	rm -rf config

# Build architecture-dependent files here.
binary-common: build
	dh_testroot
	dh_testdir
	dh_installdirs -a
	dh_install -a --sourcedir=debian/tmp
	dh_installinit -a --name=dbmail -- defaults 25
	dh_installcron -a --name=dbmail
	dh_installlogrotate -a --name=dbmail
	dh_installdebconf -a
	dh_installman -a
	dh_installdocs -a
	dh_installchangelogs -a debian/upstream.changelog
	## update examples
	(cd $(CURDIR) && find sql/sqlite/ sql/mysql/ sql/postgresql/ -type f && cat debian/dbmail.examples) | \
		sort|uniq>stamps/tmpfile && cat stamps/tmpfile > $(CURDIR)/debian/dbmail.examples
	rm -f stamps/tmpfile
	dh_installexamples -a
	dh_installdirs -A etc/dbmail var/log/dbmail usr/share/dbmail
	install -m 644 $(CURDIR)/debian/default.dbmail $(CURDIR)/debian/dbmail/usr/share/doc/dbmail/examples/default.dbmail
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a 
	dh_builddeb -a
	
build-indep: build

binary-indep: build-indep install

build-arch: build

binary-arch: build-arch install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-%: build install
	make -f debian/rules binary-common $* DH_OPTIONS=-p$*
	
binary: binary-indep binary-arch

.PHONY: build clean clean1 mrproper binary binary-common binary-indep binary-arch install
